Get the details of a discovered app.

Prev Next
Get
/discovered-apps/{id}

Get the details of a discovered app.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Responses
200

App details.

Expand All
object
id
string

ID of the app.

Example181ff4c94fdce2a5
host
string

Host of the app.

Exampleservice.company.com
port
integer

Port of the app.

Example443
usersCount
integer

Total user count for the app.

Example1200
lastAccessedAt
string (date-time)

Timestamp of the last time the app was accessed by a user.

status
string

Status of the discovered app.

Valid values[ "NoActionTaken", "ActionTaken" ]
alias
string

The alias of the app if access is configured.

ExampleService
lastModified
string (date-time)

Timestamp of the last time an action is taken on this discovered app.

rule
string

The rule applied.

Exampleallow
protocol
string

The protocol used.

ExampleTCP
direction
string

The direction of the access.

Exampleup
users
Array of object

Users accessed this app.

object
userDistinguishedName
string

Distinguished name of a user. Format: "CN=,OU="

ExampleCN=user,OU=ldap
username
string

The username, same as the one in the user Distinguished Name.

Exampleuser
providerName
string

The provider name of the user, same as the one in the user Distinguished Name.

Exampleldap
lastAppAccessAt
string (date-time)

Timestamp of the last time the app was accessed by this user.

commonGroups
Array of object

Common groups of the users which have accessed this app.

object
name
string

The name of the group.

Examplegroup
providerNames
Array of string
string

The name of identity provider that the group originates from.

Exampleldap
hitChartData
Array of object

Data for hit count chart per day.

object
Example{ "2024-08-22": 256.0 }
property*
number additionalProperties

Number of hits for this day.

lastResetAt
string (date-time)

Timestamp of the last time the app was reset.

lastAnalysisAt
string (date-time)

Timestamp of the last time the analysis is done for all apps.

policyId
string (uuid)

The ID of the Policy generated when access is configured to this app.

entitlementId
string (uuid)

The ID of the Entitlement generated when access is configured to this app.

history
Array of object

History of the actions taken on this app.

object
timestamp
string (date-time)
event
string
Valid values[ "AccessGranted" ]
appliedBy
string

The distinguished name of who updated the message metadata.

ExampleCN=4c07bc6757ea42ddb702c2d6c45419fc,CN=admin,OU=local
appliedByUsername
string

The username of the user who updated the message metadata.

Exampleadmin
appliedByProviderName
string

The provider name of the user who updated the message metadata.

Examplelocal
appliedByDeviceId
string (uuid)

The device ID of the user who updated the message metadata.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.